Installation Media - Bug #2384

[OpenRC LXDE netinstall] Graphical applications refuse to execute on display :0.0 randomly
2019-07-18 09:32 PM - Anonymous

Status: unconfirmed % Done: 0%
Priority: bug

Assignee:

Category: OpenRC

Description

For some reason, graphical applications refuse to execute on display :0.0 randomly.

History

#1 - 2019-07-19 10:19 AM - bill-auger
- Category set to OpenRC

#2 - 2019-07-19 10:48 AM - Anonymous

This is fixed by the following hack:
‘su -* or maybe even “su’, opening another display.

#3 - 2019-07-19 12:30 PM - Anonymous
Only “su -".

#4 - 2019-07-19 03:07 PM - freemor

This issue is covered here:

https://wiki.parabola.nu/OpenRC#Launch_X11_without_root_access

Also it was already covered #2271
Please do check for existing BRs before filing a new one.

#5 - 2019-07-19 03:12 PM - bill-auger

i think this is about the behavior of the LivelSO, not the installed system?

#6 - 2019-07-19 05:11 PM - freemor

In that case then this changes to a "info needed". Just tried the iso (parabola-openrc-Ixde-2019.03.11-dual.iso) all apps | clicked worked,
Opened a terminal. apps launched from the terminal work (Terminal defaults to user root)

Can the OP please provide steps to reproduce.
Thanks

#7 - 2019-07-19 07:47 PM - Anonymous
| have opened Ixterminal, done something (not sure what), then all applications refused to start, including new terminals (not windows).

This issue cannot be reproduced in other ttys.

#8 - 2019-07-19 07:48 PM - Anonymous

I'm not sure as | have not installed it.
